API reference
List the project's webhook subscriptions, oldest first, with masked secrets.
https://api.betterpost.dev/v1/notificationsNone. All subscriptions of the project are returned.
curl -s https://api.betterpost.dev/v1/notifications \
-H "x-access-key: $BETTERPOST_API_KEY"200 OK
{
"success": true,
"notifications": [
{
"id": "ntf_6w2h9k4b1q7s3e8d0f5g2j4l",
"channel": "webhook",
"profileId": null,
"eventTypes": [
"post.published",
"post.partial",
"post.failed"
],
"onlyScheduledPosts": false,
"enabled": true,
"webhook": {
"url": "https://app.example.com/webhooks/betterpost",
"secret": "whsec_••••0sFa"
},
"lastTestAt": null,
"lastTestStatus": null,
"createdAt": "2026-10-21T15:30:00.000Z",
"updatedAt": "2026-10-21T15:30:00.000Z"
}
]
}| Status | Code | When |
|---|---|---|
200 | Success. | |
401 | unauthorized | Missing or unknown API key. |
429 | rate_limited | More than 120 requests per minute. |